#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: esqueleto
version: 2.4.1
id: esqueleto-2.4.1-44dfd8717df7c16536144501b33d10cd
key: esque_FZpmJhOwhCi5y0Ma2D0P3G
license: BSD3
copyright: (c) 2012-2015 Felipe Almeida Lessa
maintainer: felipe.lessa@gmail.com
homepage: https://github.com/prowdsponsor/esqueleto
synopsis: Type-safe EDSL for SQL queries on persistent backends.
description:
    @esqueleto@ is a bare bones, type-safe EDSL for SQL queries
    that works with unmodified @persistent@ SQL backends.  Its
    language closely resembles SQL, so you don'\''t have to learn
    new concepts, just new syntax, and it'\''s fairly easy to
    predict the generated SQL and optimize it for your backend.
    Most kinds of errors committed when writing SQL are caught as
    compile-time errors---although it is possible to write
    type-checked @esqueleto@ queries that fail at runtime.
    .
    @persistent@ is a library for type-safe data serialization.  It
    has many kinds of backends, such as SQL backends
    (@persistent-mysql@, @persistent-postgresql@,
    @persistent-sqlite@) and NoSQL backends (@persistent-mongoDB@).
    While @persistent@ is a nice library for storing and retrieving
    records, including with filters, it does not try to support
    some of the features that are specific to SQL backends.  In
    particular, @esqueleto@ is the recommended library for
    type-safe @JOIN@s on @persistent@ SQL backends.  (The
    alternative is using raw SQL, but that'\''s error prone and does
    not offer any composability.)
    .
    Currently, @SELECT@s, @UPDATE@s, @INSERT@s and @DELETE@s are supported.
    Not all SQL features are available, but most of them can be easily added
    (especially functions), so please open an issue or send a pull request if
    you need anything that is not covered by @esqueleto@ on
    <https://github.com/prowdsponsor/esqueleto/>.
    .
    The name of this library means \"skeleton\" in Portuguese and
    contains all three SQL letters in the correct order =).  It was
    inspired by Scala'\''s Squeryl but created from scratch.
category: Database
author: Felipe Lessa
exposed: True
exposed-modules:
    Database.Esqueleto Database.Esqueleto.PostgreSQL
    Database.Esqueleto.Internal.Language
    Database.Esqueleto.Internal.Sql
hidden-modules: Database.Esqueleto.Internal.PersistentImport
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/esqueleto-2.4.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/esqueleto-2.4.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/esqueleto-2.4.1
hs-libraries: HSesqueleto-2.4.1-FZpmJhOwhCi5y0Ma2D0P3G
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    blaze-html-0.8.1.0-b6239543d35dd88ef6e0ccce2eb2419c
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    conduit-1.2.5-5f6679692b4c594c86b9348fc9b50407
    monad-logger-0.3.13.2-7df1d58e9003a36cbfdb1299ba0a8015
    persistent-2.2-ee68a3338991607e91aa4f9610e91b8b
    resourcet-1.1.6-4a18de11594ca91e0062f91f841e599f
    tagged-0.8.1-06e1b55aa91a737b7f8f4584fc92dcf3
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
    unordered-containers-0.2.5.1-335583f000f0fa5722ec79c17794446a
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/esqueleto-2.4.1/html/esqueleto.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/esqueleto-2.4.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
